package com.yd.dal.service.customer.impl;

import com.yd.dal.entity.customer.AclCustomerObjectShareTrack;
import com.yd.dal.mapper.customer.AclCustomerObjectShareTrackMapper;
import com.yd.dal.service.customer.AclCustomerObjectShareTrackDALService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("aclCustomerObjectShareTrackDALService")
public class AclCustomerObjectShareTrackDALServiceImpl implements AclCustomerObjectShareTrackDALService {

    @Autowired
    private AclCustomerObjectShareTrackMapper mapper;

    @Override
    public Long save(AclCustomerObjectShareTrack shareTrack) {
        mapper.insertSelective(shareTrack);
        return shareTrack.getId();
    }

    @Override
    public void update(AclCustomerObjectShareTrack shareTrack) {
        mapper.updateByPrimaryKeySelective(shareTrack);
    }
}
